> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Get a report-card course

GET https://ssuccessv2.com/app/api/v1/courses/{course}

Returns one course with its subject path, audiences, and teachers.

Reference: https://docs.schoolset.io/api-reference/school-set-api/courses/get-course

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `course` (string, required)

## Response

### 200

Course details.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1CoursesCourseGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user cannot view subjects and courses.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Course not found.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1CoursesCourseGetResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `subject_id` (integer, optional)
- `name` (string, optional)
- `active` (boolean, optional)
- `sort_order` (integer, optional)
- `period_length_minutes` (integer, optional)
- `times_per_week` (integer, optional)
- `duration_weeks` (integer, optional)
- `subject_name` (string, optional, nullable)
- `subject_path` (string, optional, nullable)
- `audiences` (list of map from string to any, optional)
- `teachers` (list of map from string to any, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": {
    "id": 18,
    "subject_id": 4,
    "name": "Algebra I",
    "active": true,
    "sort_order": 1,
    "period_length_minutes": 45,
    "times_per_week": 5,
    "duration_weeks": 36,
    "subject_name": "Mathematics",
    "subject_path": "Mathematics / Algebra",
    "audiences": [],
    "teachers": []
  }
}
```

**SDK Code**

```python Courses_getCourse_example
import requests

url = "https://ssuccessv2.com/app/api/v1/courses/course"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Courses_getCourse_example
const url = 'https://ssuccessv2.com/app/api/v1/courses/course';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Courses_getCourse_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/courses/course"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Courses_getCourse_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/courses/course")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Courses_getCourse_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/courses/course")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Courses_getCourse_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/courses/course', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Courses_getCourse_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/courses/course");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Courses_getCourse_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/courses/course")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```